Host Health Status System Get Runtime

Host Health Status System Get Runtime
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostHealthStatusSystem/{moId}/runtime
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostHealthStatusSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns HealthSystemRuntime of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "systemHealthInfo": {
        "_typeName": "string",
        "numericSensorInfo": [
            {
                "_typeName": "string",
                "name": "string",
                "healthState": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string"
                },
                "currentReading": 0,
                "unitModifier": 0,
                "baseUnits": "string",
                "rateUnits": "string",
                "sensorType": "string",
                "id": "string",
                "sensorNumber": 0,
                "timeStamp": "string",
                "fru": {
                    "_typeName": "string",
                    "type": "string",
                    "partName": "string",
                    "partNumber": "string",
                    "manufacturer": "string",
                    "serialNumber": "string",
                    "mfgTimeStamp": "string"
                }
            }
        ]
    },
    "hardwareStatusInfo": {
        "_typeName": "string",
        "memoryStatusInfo": [
            {
                "_typeName": "string",
                "name": "string",
                "status": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string"
                }
            }
        ],
        "cpuStatusInfo": [
            {
                "_typeName": "string",
                "name": "string",
                "status": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string"
                }
            }
        ],
        "storageStatusInfo": [
            {
                "_typeName": "string",
                "name": "string",
                "status": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string"
                },
                "operationalInfo": [
                    {
                        "_typeName": "string",
                        "property": "string",
                        "value": "string"
                    }
                ]
            }
        ],
        "dpuStatusInfo": [
            {
                "_typeName": "string",
                "name": "string",
                "status": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string"
                },
                "dpuId": "string",
                "fru": {
                    "_typeName": "string",
                    "type": "string",
                    "partName": "string",
                    "partNumber": "string",
                    "manufacturer": "string",
                    "serialNumber": "string",
                    "mfgTimeStamp": "string"
                },
                "sensors": [
                    {
                        "_typeName": "string",
                        "sensorId": "string",
                        "healthState": {
                            "_typeName": "string",
                            "label": "string",
                            "summary": "string",
                            "key": "string"
                        },
                        "reading": "string",
                        "units": "string",
                        "timeStamp": "string"
                    }
                ]
            }
        ]
    }
}
systemHealthInfo
Optional

Available system health information

hardwareStatusInfo
Optional

Available hardware health information


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostHealthStatusSystem/{moId}/runtime